package com.gct.edge.portal.config;

import com.gct.edge.portal.constant.JobConstant;
import com.gct.edge.portal.job.ClearDeletedJob;
import com.gct.edge.portal.job.SyncRemoteModuleDataJob;
import com.gct.edge.portal.properties.SyncModuleDataProperties;
import org.quartz.JobDetail;
import org.quartz.Trigger;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * class name: ClearModuleInfoDeleted
 *
 * @author gxt
 * @version 1.0
 * @since 2022/7/6 下午5:08 周三
 */
@Configuration
@ConditionalOnProperty(prefix = "spring.gct.edge.portal.clear", name = "enabled", havingValue = "true")
public class ClearModuleInfoDeleted {
    @Bean
    public JobDetail sendDownloadTask() {
        return JobConstant.buildJobDetail(ClearDeletedJob.class, JobConstant.JOB_CLEAR_DELETED.name(), JobConstant.JOB_CLEAR_DELETED.name());
    }

    @Bean
    public Trigger triggerSendDownloadTask(SyncModuleDataProperties properties) {
        return JobConstant.buildTrigger(properties.getInterval(), true, null, true, JobConstant.JOB_CLEAR_DELETED.name(), JobConstant.JOB_CLEAR_DELETED.name());
    }
}
