package com.gct.edge.portal.config;

import com.gct.edge.portal.constant.JobConstant;
import com.gct.edge.portal.job.ConfigureModuleRemotelyJob;
import com.gct.edge.portal.properties.SendModuleConfigProperties;
import com.gct.edge.portal.properties.SyncModuleDataProperties;
import org.quartz.*;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author xusirui 2021/12/3
 */
@Configuration
@ConditionalOnProperty(prefix = "spring.gct.edge.portal.send", name = "remote-config-enabled", havingValue = "true")
public class ConfigureModuleRemotelyJobConfig {

    @Bean
    public JobDetail syncModuleData() {
        return JobConstant.buildJobDetail(ConfigureModuleRemotelyJob.class,JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_SYNC_MODULE_CONFIG.name());
    }

    @Bean
    public Trigger triggerSyncModuleData(SendModuleConfigProperties properties) {
        return JobConstant.buildTrigger(properties.getInterval(),true,null,true,JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_SYNC_MODULE_CONFIG.name());
    }

}
