package com.gct.edge.portal.config;

import com.gct.edge.portal.constant.JobConstant;
import com.gct.edge.portal.job.MemoryFreeJob;
import com.gct.edge.portal.job.SyncRemoteModuleDataJob;
import com.gct.edge.portal.properties.MemoryFreeProperties;
import com.gct.edge.portal.properties.SyncModuleDataProperties;
import org.quartz.JobDetail;
import org.quartz.Trigger;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author xusirui 2022/8/16
 */
@Configuration
@ConditionalOnProperty(prefix = "spring.gct.edge.portal.memory-free",havingValue = "true",name="enabled")
public class MemoryFreeJobConfig {
    @Bean
    public JobDetail sendDownloadTask() {
        return JobConstant.buildJobDetail(MemoryFreeJob.class, JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_MEMORY_FREE.name());
    }

    @Bean
    public Trigger triggerSendDownloadTask(MemoryFreeProperties properties) {
        return JobConstant.buildTrigger(properties.getInterval(), true, null, true, JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_MEMORY_FREE.name());
    }

}
