package com.gct.edge.portal.config;

import com.gct.edge.portal.constant.JobConstant;
import com.gct.edge.portal.job.SyncLocalModuleDataJob;
import com.gct.edge.portal.properties.SyncModuleDataProperties;
import org.quartz.*;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * class name: ModuleLoadBalance
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/5/21 上午10:21
 */
@Configuration
@Deprecated
@ConditionalOnProperty(prefix = "spring.gct.edge.portal.sync", name = "enabled", havingValue = "true")
public class SyncLocalModuleDataJobConfig {

    @Bean
    public JobDetail syncModuleData() {
        return JobConstant.buildJobDetail(SyncLocalModuleDataJob.class,JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_LOAD_DATA.name());
    }

    @Bean
    public Trigger triggerSyncModuleData(SyncModuleDataProperties properties) {
        return JobConstant.buildTrigger(properties.getInterval(),true,null,true,JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_LOAD_DATA.name());
    }


}
