package com.gct.edge.portal.config;

import com.gct.edge.portal.constant.JobConstant;
import com.gct.edge.portal.job.SyncRemoteModuleDataJob;
import com.gct.edge.portal.properties.SyncModuleDataProperties;
import org.quartz.*;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author xusirui 2021/11/17
 */
@Configuration
@ConditionalOnProperty(prefix = "spring.gct.edge.portal.sync", name = "sync-remote-data-enabled", havingValue = "true")
public class SyncRemoteModuleDataJobConfig {

    @Bean
    public JobDetail sendDownloadTask() {
        return JobConstant.buildJobDetail(SyncRemoteModuleDataJob.class, JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_SEND_DOWNLOAD.name());
    }

    @Bean
    public Trigger triggerSendDownloadTask(SyncModuleDataProperties properties) {
        return JobConstant.buildTrigger(properties.getInterval(), true, null, true, JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_SEND_DOWNLOAD.name());
    }
}
