package com.gct.edge.portal.config;

import com.gct.edge.portal.constant.JobConstant;
import com.gct.edge.portal.job.TimingSummaryJob;
import com.gct.edge.portal.properties.TimeSummaryProperties;
import org.quartz.*;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Date;

/**
 * class name: ModuleLoadBalance
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/5/21 上午10:21
 */
@Configuration
@ConditionalOnProperty(prefix = "spring.gct.edge.portal.aoid", name = "enabled", havingValue = "true")
public class TimeSummaryConfig {

    @Bean
    public JobDetail TimeSummaryData() {
        return JobConstant.buildJobDetail(TimingSummaryJob.class,JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_AOID_DAILY.name());
    }

    @Bean
    public Trigger triggerTimeSummaryData(TimeSummaryProperties properties) {
        return JobConstant.buildTrigger(properties.getInterval(), true,null,true,JobConstant.GROUP_PORTAL.name(), JobConstant.JOB_AOID_DAILY.name());
    }


}
