package com.gct.edge.portal.controller;


import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.portal.service.EdgeAoidSingwellConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/edgeAoidSinglewellConfig")
public class EdgeAoidSinglewellConfigController {
    @Autowired
    private EdgeAoidSingwellConfigService edgeAoidSingwellConfigService;

    @GetMapping("/getMostNewSingleWellConfig")
    public Result getMostNewSinglewellConfig(@RequestParam("modelKey") String modulekey){
        return Result.ok(edgeAoidSingwellConfigService.getMostNewSingleWellConfig(modulekey));
    }

    @PostMapping("/addSinglewellConfig")
    public Result addSinglewellConfig(@RequestBody JSONObject jsonObject){
        return Result.ok( edgeAoidSingwellConfigService.addSingleWellConfig(jsonObject));
    }
    @GetMapping("/publishSinglewellConfigVersion")
    public Result publishSinglewellConfigVersion(@RequestParam String moduleKey){
        return Result.ok( edgeAoidSingwellConfigService.publishSingleWellConfigVersion(moduleKey));
    }

    @GetMapping("/resetSinglewellConfig")
    public Result resetSinglewellConfig(@RequestParam String moduleKey){
        return Result.ok(edgeAoidSingwellConfigService.resetSingleWellConfig(moduleKey));
    }
    @PostMapping("/copySinglewellConfig")
    public Result copySinglewellConfig(@RequestBody JSONObject jsonObject){
        return Result.ok( edgeAoidSingwellConfigService.copySingleWellConfig(jsonObject));
    }
}
