package com.gct.edge.portal.controller;


import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.portal.entity.EdgeShardDbInfo;
import com.gct.edge.portal.entity.vo.EdgeShardDbVo;
import com.gct.edge.portal.entity.vo.PageBody;
import com.gct.edge.portal.service.EdgeShardDbInfoService;
import com.zaxxer.hikari.HikariConfig;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
@RestController
@RequestMapping("/edgeShardDbInfo")
public class EdgeShardDbInfoController {

    @Autowired
    EdgeShardDbInfoService edgeShardDbInfoService;

    @PreAuthorize("hasAuthority('load:write')")
    @PostMapping("/addDBInfo")
    public Result addDBInfo(@RequestBody EdgeShardDbVo edgeShardDbVo) {
        return Result.ok(edgeShardDbInfoService.addDBInfo(edgeShardDbVo));
    }

    @PreAuthorize("hasAuthority('load:write')")
    @PostMapping("/updateDBInfo")
    public Result alterDBWeight(@RequestBody EdgeShardDbVo edgeShardDbVo) {
        return Result.ok(edgeShardDbInfoService.updateDBInfo(edgeShardDbVo) ? "修改成功" : "修改失败");
    }

    @PreAuthorize("hasAuthority('load:write')")
    @PostMapping("/updateWeightByDbKey")
    public Result updateWeightByDbKey(@RequestBody JSONObject jsonObject) {
        return Result.ok(edgeShardDbInfoService.updateWeightByDbKey(jsonObject) ? "修改权重成功" : "修改权重失败");
    }

    @PreAuthorize("hasAuthority('load:read')")
    @GetMapping("/getShardDbInfo")
    public Result getShardDbInfo() {
        return Result.ok(edgeShardDbInfoService.getAllList());
    }

    @PreAuthorize("hasAuthority('load:read')")
    @GetMapping("/getShardDInfoByDbKey")
    public Result getShardDInfoByDbKey(@RequestParam("dbKey") String dbKey) {
        return Result.ok(edgeShardDbInfoService.getShardDInfoByDbKey(dbKey));
    }

    //只是做逻辑删除
    //TODO
    @PreAuthorize("hasAuthority('load:write')")
    @PostMapping("/deleteShardDInfoByDbKey")
    public Result deleteShardDInfo(@RequestBody EdgeShardDbVo edgeShardDbVo) {
        return null;
    }

    @PreAuthorize("hasAuthority('load:read')")
    @PostMapping("/getPageByCondition")
    public Result getPageByCondition(@RequestBody PageBody<EdgeShardDbInfo> condition) {
        return null;
    }

    @PreAuthorize("hasAuthority('load:read')")
    @ApiOperation(value = "列表", notes = "所有数据库列表")
    @GetMapping("/findDbList")
    public Result findDbList() {
        return edgeShardDbInfoService.findDbList();
    }


}

