package com.gct.edge.portal.controller;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.portal.entity.EdgeSyncConfigMonitor;
import com.gct.edge.portal.service.EdgeAoidSingwellConfigService;
import com.gct.edge.portal.service.EdgeSyncConfigMonitorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * class name: EdgeReleaseController
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/2 上午11:11 周四
 */
@RestController
@RequestMapping("/edgeSyncConfigMonitor")
public class EdgeSyncConfigMonitorController {

    @Autowired
    EdgeSyncConfigMonitorService edgeReleaseService;
    @Autowired
    private EdgeAoidSingwellConfigService edgeAoidSingwellConfigService;

    @PostMapping("/addEdgeReleaseConfigMonitorWithReleaseStatus")
    public Result addEdgeReleaseWithReleaseStatus(@RequestBody JSONObject jsonObject){
        String moduleKey = jsonObject.getString("moduleKey");
        JSONObject aoidConfigData = jsonObject.getJSONObject("aoidConfigData");
        EdgeSyncConfigMonitor edgeRelease =new EdgeSyncConfigMonitor();
        edgeRelease.setModuleKey(moduleKey);
        return Result.ok(edgeReleaseService.addEdgeReleaseWithReleaseStatus(edgeRelease,aoidConfigData));
    }

    @PostMapping("/editEdgeReleaseConfigMonitorOrSave")
    public Result getEdgeReleaseWithReleaseStatus(@RequestBody JSONObject jsonObject){
        List<Map<String, String>> aoidConfigDataList = (List) jsonObject.get("aoidConfigData");
        List<Map<String, String>> wellIdList = (List) jsonObject.get("wellIdList");
        return Result.ok(edgeReleaseService.editEdgeReleaseConfigMonitorOrSave(aoidConfigDataList,wellIdList));
    }

    @GetMapping("/getEdgeReleaseConfigMonitorWithModuleKey")
    public Result getEdgeReleaseConfigMonitorWithModuleKey(@RequestParam("moduleKey")String moduleKey){
        return Result.ok(edgeReleaseService.getEdgeReleaseConfigMonitorWithModuleKey(moduleKey));
    }

    @GetMapping("/getRelseaseStatusByModuleKey")
    public Result getRelseaseStatusByModuleKey(@RequestParam("moduleKey")String moduleKey){
        return Result.ok(edgeReleaseService.getRelseaseStatusByModuleKey(moduleKey));
    }

    @GetMapping("/deleteEdgeReleaseConfigMonitorWithModuleKey")
    public Result deleteEdgeReleaseConfigMonitorWithModuleKey(@RequestParam("moduleKey")String moduleKey , @RequestParam("relseaseVsersion")String releaseVersion){
        return Result.ok(edgeReleaseService.deleteEdgeReleaseConfigMonitorWithModuleKey(moduleKey,releaseVersion));
    }


    @PostMapping("/publishEdgeReleaseConfigMonitorWithModuleKey")
    public Result publishEdgeReleaseConfigMonitorWithModuleKey(@RequestBody JSONObject jsonObject){
        String moduleKey = jsonObject.getString("moduleKey");
        String releaseVersion = jsonObject.getString("releaseVersion");
        return Result.ok(edgeReleaseService.publishEdgeReleaseConfigMonitorWithModuleKey(moduleKey,releaseVersion));
    }
    @PostMapping("/copyEdgeReleaseConfigMonitorWithModuleKey")
    public Result copyEdgeReleaseConfigMonitorWithModuleKey(@RequestBody JSONObject jsonObject){
        Map<String, String> sourceModule = (Map<String, String>) jsonObject.get("sourceModule");
        List<String> targetModule = (List<String>) jsonObject.get("targetModule");
        return Result.ok(edgeReleaseService.copyEdgeReleaseConfigMonitorWithModuleKey(sourceModule,targetModule));
    }

    @PostMapping("/addCardLibAndModelLib")
    public Result addCardLibAndModelLib(@RequestBody JSONObject jsonObject){
        return Result.ok(edgeReleaseService.addCardLibAndModelLib(jsonObject));
    }
    @PostMapping("/editCardLib")
    public Result editCardLib(@RequestBody List<Map<String, Object>> mapList){
        return Result.ok(edgeReleaseService.editCardLib(mapList));
    }

    @PostMapping("/deleteCardLib")
    public Result deleteCardLib(@RequestBody JSONObject jsonObject){
        return Result.ok(edgeReleaseService.deleteCardLib(jsonObject));
    }

    @GetMapping("/publishCardLib")
    public Result publishCardLib(@RequestParam("moduleKey") String moduleKey){
        return Result.ok(edgeReleaseService.publishCardLib(moduleKey));
    }
    @PostMapping("/copyCardLib")
    public Result copyCardLib(@RequestBody JSONObject jsonObject){
        String moduleKey = jsonObject.getString("sourceData");
        JSONArray targetData = jsonObject.getJSONArray("targetData");
        return Result.ok(edgeReleaseService.copyCardLib(moduleKey,targetData));
    }

    @PostMapping("/editAoidModelLib")
    public Result editAoidModelLib(@RequestBody JSONObject jsonObject){
        return Result.ok(edgeReleaseService.editAoidModelLib(jsonObject));
    }

    @GetMapping("/publishAoidModelLib")
    public Result publishAoidModelLib(@RequestParam("moduleKey") String modulekey){
        return Result.ok(edgeReleaseService.publishAoidModelLib(modulekey));
    }

    @PostMapping("/copyAoidModelLib")
    public Result copyAoidModelLib(@RequestBody JSONObject jsonObject){
        String moduleKey = jsonObject.getString("sourceData");
        JSONArray targetData = jsonObject.getJSONArray("targetData");
        return Result.ok(edgeReleaseService.copyAoidModelLib(moduleKey,targetData));
    }

    @PostMapping("/deleteAoidModelLib")
    public Result deleteAoidModelLib(@RequestBody JSONObject jsonObject){
        return Result.ok(edgeReleaseService.deleteAoidModelLib(jsonObject));
    }

    @GetMapping("/findEdgeReleasePublishStatus")
    public Result findEdgeRelease_list(@RequestParam("modelKey") String moduleKey,@RequestParam("content_type") Integer content_type) {
        return  Result.ok(edgeReleaseService.getMostNewGtcvrRuntimeConfig(moduleKey,content_type));
    }

   @PostMapping("addEdgeReleaseGlobalConfig")
    public Result addEdgeReleaseGlobalConfig(@RequestBody JSONObject jsonObject){

       return  Result.ok(edgeReleaseService.addEdgeReleaseGlobalConfig(jsonObject));
    }

    @GetMapping("/publishGlobalVersion")
    public Result publishGlobalVersion(@RequestParam String moduleKey ,@RequestParam Integer flag){
        return Result.ok(edgeReleaseService.publishGlobalVersion(moduleKey, flag));
    }

    @PostMapping("/copyGlobalConfig")
    public Result copyGlobalConfig(@RequestBody JSONObject jsonObject){
        return Result.ok(edgeReleaseService.copyGlobalConfig(jsonObject));
    }

    @GetMapping("/resetGlobalConfig")
    public Result resetGlobalConfig(@RequestParam String moduleKey,Integer flag){
        return Result.ok(edgeReleaseService.resetGlobalConfig(moduleKey, flag));
    }

    @GetMapping("/getStatus")
    public Result getStatus(@RequestParam("modelKey") String moduleKey,@RequestParam("content_type") Integer content_type){
        return Result.ok(edgeReleaseService.getStatus(moduleKey,content_type));
    }

    @GetMapping("/getLastUpdateAndReleaseTime")
    public Result getLastUpdateAndReleaseTime(@RequestParam String moduleKey){
        return Result.ok(edgeReleaseService.getLastUpdateAndReleaseTime(moduleKey));
     }

     @GetMapping("/getAoidStaticDataStatus")
    public Result getAoidStaticDataStatus(@RequestParam String moduleKey){
        return Result.ok(edgeReleaseService.getAoidStaticDataStatus(moduleKey));
     }


    @PostMapping("/editSingleWellConfig")
    public Result editSingleWellConfig(@RequestBody JSONObject jsonObject){
        return Result.ok(edgeReleaseService.editSingleWellConfig(jsonObject));
    }


    @PostMapping("/deleteSingleWellConfig")
    public Result deleteSingleWellConfig(@RequestBody JSONObject jsonObject){
        return Result.ok(edgeReleaseService.deleteSingleWellConfig(jsonObject));
    }
}
