package com.gct.edge.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "EdgeModuleConfigInfo对象", description = "")
public class EdgeModuleConfigInfo extends Model<EdgeModuleConfigInfo> {

    private static final long serialVersionUID = 1L;
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "eg: short name+idEM101")
    private String moduleKey;

    private String dbKey;

    private Integer dbId;

    @ApiModelProperty(value = "0:default 1:waiting 2:completed")
    private Integer isLoaded;

    private String moduleName;

    @ApiModelProperty(value = "逻辑分组id")
    private Integer moduleLogicId;

    @ApiModelProperty(value = "0:new and wait start 1:running")
    private Integer moduleStatus;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;

    private String remark;

    @ApiModelProperty(value = "上次分表建立的时间")
    private LocalDateTime lastTableCreatedTime;

    @ApiModelProperty(value = "盒子对应的模块井号集合 json格式")
    private String wellIdList;


    @ApiModelProperty(value = "分组名称")
    @TableField(exist = false)
    private String groupName;

    @ApiModelProperty(value = "盒子ip地址")
    private String ipAddress;

    @ApiModelProperty(value = "盒子登录帐号")
    private String authUser;

    @ApiModelProperty(value = "盒子验证密码")
    private String authPassword;

    @ApiModelProperty(value = "远程存储路径")
    private String remotePath;

    @ApiModelProperty(value = "端口")
    private Integer port;

    @ApiModelProperty(value = "是否开启同步 1:yes 0:false")
    private Integer syncEnabled;

    @ApiModelProperty(value = "逻辑删除 1 - 未删除 2 删除")
   // @TableLogic(value = "1",delval = "2")
    private Integer deleted;
    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
