package com.gct.edge.portal.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="EdgeShardDbInfo对象", description="")
public class EdgeShardDbInfo extends Model<EdgeShardDbInfo> {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "primary key")
    @TableId(type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "别名")
    private String aliasName;

    @ApiModelProperty(value = "唯一名字,自动生成")
    private String dbKey;

    @ApiModelProperty(value = "jdbc 相关配置json 字符串")
    private String jdbcProperty;

    @ApiModelProperty(value = "分配权重")
    private Integer weight;

    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime createTime;

    @TableField(fill = FieldFill.UPDATE)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss" , timezone = "GMT+8")
    private LocalDateTime updateTime;

    private String remark;

    @TableLogic(value = "1")
    private Integer deleted;

    @TableField(exist = false)
    private Integer moduleNum;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
