package com.gct.edge.portal.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * class name: EdgeShardDbVo
 *
 * @author gxt
 * @version 1.0
 * @since 2021/10/26 下午5:43 周二
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="EdgeShardDbVo 对象", description="")
public class EdgeShardDbVo {
    @ApiModelProperty(value = "别名")
    private String aliasName;
    @ApiModelProperty(value = "唯一名字,自动生成")
    private String dbKey;
    @ApiModelProperty(value = "用户名")
    private String userName;
    @ApiModelProperty(value = "密码")
    private String passWord;
    @ApiModelProperty(value = "数据库连接Url")
    private String jdbcUrl;
    @ApiModelProperty(value = "端口号")
    private String port;
    @ApiModelProperty(value = "主机IP")
    private String host;
    @ApiModelProperty(value = "数据库名称")
    private String dataSourceName;
    @ApiModelProperty(value = "数据库驱动,默认是 org.postgresql.Driver 且只支持")
    private String driverClassName = "org.postgresql.Driver";
    @ApiModelProperty(value = "连接池名字")
    private String poolName;
    @ApiModelProperty(value = "连接池最大连接数，默认是10")
    private String maxPoolSize = "10";
    @ApiModelProperty(value = "最小空闲连接数量")
    private String miniMumIdle = "5";
    @ApiModelProperty(value = "空闲连接存活最大时间，默认600000（10分钟）")
    private String idleTimeout = "60000";
    @ApiModelProperty(value = "是否自动提交,默认是true")
    private String autoCommit = "true";
    @ApiModelProperty(value = "最大存活时间,值0表示无限生命周期，默认1800000即30分钟")
    private String maxLifetime = "1800000";
    @ApiModelProperty(value = "超时时间,默认30秒，即30000")
    private String connectionTimeout = "30000";

    @ApiModelProperty(value = "备注")
    @JSONField(serialize = false)
    private String remark;
    @ApiModelProperty(value = "权重")
    @JSONField(serialize = false)
    private Integer weight;
}
