package com.gct.edge.portal.feign;

import com.alibaba.fastjson.JSONObject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author xusirui 2021/11/16
 */
@FeignClient(value = "edge-actuator")
public interface ActuatorClient {

    @FeignInterfaceId()
    @GetMapping("/module/fileUpload/loadLocalFile")
    String loadLocalFile(@RequestParam String path,@RequestParam String moduleKey,@RequestParam String uploadChoose);
    @FeignInterfaceId(1)
    @GetMapping("/module/fileUpload/loadRemoteFile")
    String loadRemoteFile(@RequestParam String moduleKey,@RequestParam String ipAddress,@RequestParam Integer port,
                          @RequestParam String authUser,@RequestParam String authPassword,
                          @RequestParam String remotePath);
    @FeignInterfaceId(2)
    @PostMapping("/config/aoidConfig/copyAoidConfigData")
    String copyAoidConfigData(@RequestBody JSONObject jsonObject);
    @FeignInterfaceId(3)
    @GetMapping("/config/aoidConfig/getAoidConfigDataList")
    String getAoidConfigDataList(@RequestParam("moduleKey") String moduleKey , @RequestParam("proTime")String proTime);
    @FeignInterfaceId(4)
    @PostMapping("/config/aoidConfig/addAoidConfigData")
    String addAoidConfigData(@RequestBody JSONObject aoidConfigData);
    @FeignInterfaceId(5)
    @PostMapping("/config/aoidConfig/addAoidConfigDataWithList")
    String addAoidConfigDataWithList(@RequestBody JSONObject jsonObject);
    @FeignInterfaceId(6)
    @PostMapping("/config/aoidConfig/editAoidConfigData")
    String editAoidConfigData(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(7)
    @GetMapping("/module/fileUpload/syncModuleConfig")
    String syncModuleConfig(@RequestParam String moduleKey, @RequestParam String proTime, @RequestParam String ipAddress, @RequestParam Integer port,
                            @RequestParam String authUser, @RequestParam String authPassword,
                            @RequestParam String remotePath, @RequestParam String tableName, @RequestParam String actualFileName);

    @FeignInterfaceId(8)
    @GetMapping("/module/yieldDaily/calculate")
    String TimingSummary(@RequestParam String moduleKey,@RequestParam String wellIdList,@RequestParam String startTime);

    @FeignInterfaceId(9)
    @PostMapping("/config/cardLib/saveDgnsCardLib")
    String saveDgnsCardLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(10)
    @PostMapping("/config/modelLib/saveAoidGkModelLib")
    String saveAoidGkModelLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(11)
    @PostMapping("/config/cardLib/editCardLib")
    String editCardLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(12)
    @PostMapping("/config/cardLib/copyCardLib")
    String copyCardLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(13)
    @PostMapping("/config/modelLib/editAoidGKModelLib")
    String editAoidGKModelLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(14)
    @PostMapping("/config/modelLib/copyAoidGkModelLib")
    String copyAoidGkModelLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(15)
    @PostMapping("/config/cardLib/deleteCardLib")
    String deleteCardLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(16)
    @PostMapping("/config/modelLib/deleteAoidGkModelLib")
    String deleteAoidGkModelLib(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(17)
    @GetMapping("/GtCvrRuntimeConfig/getMostNewGtCvrRuntimeConfig")
    String getMostNewGtcvrRuntimeConfig(@RequestParam String moduleKey );


    @FeignInterfaceId(18)
    @GetMapping("/GtCvrRuntimeConfig/SaveGtCvrRuntimeConfig")
    String saveRuntimeConfig(@RequestBody JSONObject jsonObject );


    @FeignInterfaceId(19)
    @GetMapping("/GtCvrRuntimeConfig/copyGlobalConfig")
    String copyGlobelConfig(@RequestBody JSONObject jsonObject );

   @FeignInterfaceId(20)
    @GetMapping("/GtCvrRuntimeConfig/deleteGlobalConfig")
    String deleteGlobelConfig( @RequestParam("moduleKey") String moduleKey, @RequestParam("proTime") String proTime);

    @FeignInterfaceId(21)
    @GetMapping("/config/singleWell/getMostNewSingleWellConfig")
    String getMostNewSingleWellConfig(@RequestParam("moduleKey") String moduleKey);

    @FeignInterfaceId(22)
    @PostMapping("/config/singleWell/addSingleWellConfig")
    String addSingleWellConfig(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(23)
    @PostMapping("/config/singleWell/updateSingleWellConfig")
    String updateSingleWellConfig(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(24)
    @GetMapping("/config/singleWell/deleteSingleWellConfig")
    String deleteSingleWellConfig(@RequestParam("moduleKey") String moduleKey, @RequestParam("proTime") String proTime);

    @FeignInterfaceId(25)
    @PostMapping("/config/singleWell/copySingleWellConfig")
    String copySingleWellConfig(@RequestBody JSONObject jsonObject );


    @FeignInterfaceId(26)
    @PostMapping("/gkType/dgnsGtgktype/addDgnsGtgktype")
    String addDgnsGtgktype(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(27)
    @PostMapping("/gkType/dgnsGtgktype/copyDgnsGtgktype")
    String copyDgnsGtgktype(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(28)
    @GetMapping("/gkType/dgnsGtgktype/deleteDgnsGtgktype")
    String deleteDgnsGtgktype(@RequestParam("moduleKey") String moduleKey,@RequestParam("proTime") String proTime);

    @FeignInterfaceId(29)
    @PostMapping("/config/singleWell/editSingleWellConfig")
    String editSingleWellConfig(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(30)
    @PostMapping("/config/singleWell/deleteSingleWellConfig")
    String deleteSingleWellConfig(@RequestBody JSONObject jsonObject);

    @FeignInterfaceId(31)
    @GetMapping()
    String clearData(@RequestParam String moduleKey,@RequestParam Integer expireDay);
}
