package com.gct.edge.portal.feign;

import java.lang.reflect.Method;
import java.util.*;

/**
 * dec:
 * <p>
 * ActuatorClientMethodEnum
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/12/10 上午9:35
 */
public class ActuatorClientMethodEnum {

    private static final Map<Integer,Method> map;

    static {
        Method[] methods = ActuatorClient.class.getMethods();
        map=new HashMap<>();
        for (Method method : methods) {
            FeignInterfaceId id = method.getAnnotation(FeignInterfaceId.class);
            if(id==null||map.containsKey(id.value()))
                throw new RuntimeException("Not support interface setting => "+method);
            map.put(id.value(),method);
        }
    }

    public static Method valueOf(int id){
        return map.get(id);
    }

    public static Collection<Method> values(){
        return map.values();
    }

}
