package com.gct.edge.portal.job;

import com.gct.edge.portal.entity.EdgeModuleConfigInfo;
import com.gct.edge.portal.feign.ActuatorClient;
import com.gct.edge.portal.properties.MemoryFreeProperties;
import com.gct.edge.portal.service.EdgeModuleConfigInfoService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

import java.util.List;

/**
 * @author xusirui 2022/8/16
 */
public class MemoryFreeJob extends QuartzJobBean {

    @Autowired
    EdgeModuleConfigInfoService edgeModuleConfigInfoService;

    @Autowired
    ActuatorClient actuatorClient;

    @Autowired
    MemoryFreeProperties memoryFreeProperties;

    @Override
    protected void executeInternal(JobExecutionContext context) throws JobExecutionException {
        edgeModuleConfigInfoService.list().forEach(x->{
            actuatorClient.clearData(x.getModuleKey(),memoryFreeProperties.getExpireDay());
        });

    }
}
