package com.gct.edge.portal.job;

import com.gct.common.core.result.Result;
import com.gct.edge.base.entity.TableNameEnum;
import com.gct.edge.portal.properties.SyncModuleDataProperties;
import com.gct.edge.portal.entity.EdgeModuleConfigInfo;
import com.gct.edge.portal.feign.ActuatorClientWrapper;
import com.gct.edge.portal.service.EdgeModuleConfigInfoService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.QuartzJobBean;

import java.io.File;
import java.util.List;

/**
 * @author xusirui 2021/11/16
 */
@Deprecated
@Slf4j
public class SyncLocalModuleDataJob extends QuartzJobBean {

    @Autowired
    SyncModuleDataProperties properties;
    @Autowired
    EdgeModuleConfigInfoService edgeModuleConfigInfoService;

    @Autowired
    ActuatorClientWrapper actuatorClient;

    @Override
    protected void executeInternal(JobExecutionContext context) {
        List<EdgeModuleConfigInfo> modules = edgeModuleConfigInfoService.list();
        modules.forEach(x -> {

            properties.getFileMapper().forEach((key, value) -> {
                try {
                    String path1 = properties.getOriginPath() + x.getModuleName() + "/" + value;
                    File file1 = new File(path1);
                    if (file1.exists()) {
                        Result result = actuatorClient.loadLocalFile(path1, x.getModuleKey(), TableNameEnum.valueOf(key).getLabel());
                        if (result.getStatus() == 1) {
                            file1.delete();
                        }
                    }
                } catch (Exception e) {
                    log.error("SyncModuleDataJob run failed cause by :{}", e.getMessage());
                }
            });
        });
    }
}
