package com.gct.edge.portal.job;

import com.gct.common.core.result.Result;
import com.gct.common.util.DateTimeUtil;
import com.gct.common.util.StringUtil;
import com.gct.edge.portal.constraint.JobActuatorReference;
import com.gct.edge.portal.entity.EdgeModuleConfigInfo;
import com.gct.edge.portal.feign.ActuatorClientWrapper;
import com.gct.edge.portal.properties.TimeSummaryProperties;
import com.gct.edge.portal.service.EdgeModuleConfigInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;

import java.time.LocalDate;
import java.util.List;

/**
 * @author xusirui 2021/11/17
 */
@Slf4j
public class TimingSummaryJob extends JobActuatorReference<EdgeModuleConfigInfo> {

    @Autowired
    ActuatorClientWrapper client;

    @Autowired
    EdgeModuleConfigInfoService service;

    @Autowired
    TimeSummaryProperties properties;

    private LocalDate runDate;

    @Override
    public List<EdgeModuleConfigInfo> external() {
        runDate = LocalDate.now();
        try {
            runDate = DateTimeUtil.formatDate(properties.getStartTime());
        } catch (Exception ignore) {
        }
        if (runDate.isAfter(LocalDate.now())) runDate = LocalDate.now();
        properties.setStartTime(DateTimeUtil.formatString(runDate.plusDays(1)));
        return service.list();
    }

    @Override
    public Result parallelInternal(EdgeModuleConfigInfo x) {
        return client.TimingSummary(x.getModuleKey(), x.getWellIdList(), DateTimeUtil.formatString(runDate));
    }
}
