package com.gct.edge.portal.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gct.edge.portal.entity.EdgeGroupInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
@Mapper
public interface EdgeGroupInfoMapper extends BaseMapper<EdgeGroupInfo> {


    /**
     * 根据分组名称查询分组信息
     * @param group_name
     * @return
     */
    EdgeGroupInfo selectOneByGroup_name(@Param("group_name") String group_name);


    /**
     * 根据参数条件查询分组属性数据
     * @param page
     * @param group_name
     * @return
     */
    IPage<EdgeGroupInfo> findAllEdgeGroupInfo(IPage<?> page,
                                                     @Param("group_name") String group_name);




    Integer getMaxSort();
}
