package com.gct.edge.portal.properties;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * dec:
 * <p>
 * SyncModuleDataProperties
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/17 上午9:57
 */
@Data
@Accessors(chain = true)
@Component
@ConfigurationProperties(prefix = "spring.gct.edge.portal.send")
public class SendModuleConfigProperties {

    /**
     * 远程发送\更新配置功能 开启?
     */
    Boolean remoteConfigEnabled = false;

    /**
     * 发送刷新间隔 s
     * <p>
     *     默认 90 s
     * </p>
     */
    Integer interval = 90;
}
