package com.gct.edge.portal.properties;

import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * dec:
 * <p>
 * SyncModuleDataProperties
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/11/17 上午9:57
 */
@Data
@Accessors(chain = true)
@Component
@ConfigurationProperties(prefix = "spring.gct.edge.portal.sync")
public class SyncModuleDataProperties {

    /**
     * 同步遠程文件方式 開啓?
     */
    Boolean syncRemoteDataEnabled = false;
    /**
     * 同步本地文件 开启?
     * 即將被棄用
     */
    @Deprecated
    Boolean enabled = false;
    /**
     * 同步本地文件 根目錄
     * 即將被棄用
     */
    @Deprecated
    String originPath;
    /**
     * 同步本地文件 映射表
     * 即將被棄用
     */
    @Deprecated
    Map<String, String> fileMapper = new HashMap<>();
    /**
     * 时间间隔 秒
     */
    Integer interval = 90;
}
