package com.gct.edge.portal.properties;

import com.gct.common.util.DateTimeUtil;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.time.LocalDate;

/**
 * dec: TimeSummaryProperties
 *
 * @author lloyd
 * @version 1.0
 * @since 2021/12/11 下午3:15
 */
@Data
@Accessors(chain = true)
@Component
@ConfigurationProperties(prefix = "spring.gct.edge.portal.aoid")
public class TimeSummaryProperties {
    /**
     * default 不开启
     */
    boolean enabled = false;
    /**
     * default now
     * <p>
     *     格式 yyyy-MM-dd
     * </p>
     *
     */
    String startTime = DateTimeUtil.formatString(LocalDate.now());
    /**
     * 更新产量 任务运行间隔 s
     * 默认60s一轮
     */
    int interval=60;

}
