package com.gct.edge.portal.service;

import com.gct.common.core.result.Result;
import com.gct.edge.portal.entity.EdgeGroupInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
public interface EdgeGroupInfoService extends IService<EdgeGroupInfo> {

    /**
     * 添加分组信息
     * @param edgeGroupInfo
     * @return
     */
    Result addEdgeGroupInfo(EdgeGroupInfo edgeGroupInfo);


    /**
     * 修改分组信息
     * @param edgeGroupInfo
     * @return
     */
    Result updateEdgeGroupInfo(EdgeGroupInfo edgeGroupInfo);




    /**
     * 根据参数条件查询分组属性数据
     * @param pageNum
     * @param pageSize
     * @return
     */
    Result findAllEdgeGroupInfo(Integer pageNum, Integer pageSize,  String group_name);


    /**
     * 树形结构查询
     * @return
     */
    Result findTree();

    /**
     * 所有分组列表
     * @return
     */
    Result findList();


    Result addSonEdgeGroupInfo(String groupName,String remark,Integer parentId);

}
