package com.gct.edge.portal.service;

import com.alibaba.fastjson.JSONArray;
import com.gct.common.core.result.Result;
import com.gct.edge.portal.entity.EdgeGroupInfo;
import com.gct.edge.portal.entity.EdgeModuleConfigInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.edge.portal.entity.EdgeModuleConfigInfoMetric;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
public interface EdgeModuleConfigInfoService extends IService<EdgeModuleConfigInfo> {

    /**
     * 根据待创建条件查询
     * @param condition
     * @return
     */
    List<EdgeModuleConfigInfo> getListByCreatedCondition(EdgeModuleConfigInfo condition);

    List<EdgeModuleConfigInfoMetric> getCountGroupByDBKey(EdgeModuleConfigInfo condition);

   boolean updateLoadByKey(EdgeModuleConfigInfo condition);





    /**
     * 添加模块信息
     * @param edgeModuleConfigInfo
     * @return
     */
    Result saveEdgeModuleConfigInfo(EdgeModuleConfigInfo  edgeModuleConfigInfo);


    /**
     * 修改模块信息
     * @param edgeModuleConfigInfo
     * @return
     */
    Result updateEdgeModuleConfigInfo(EdgeModuleConfigInfo edgeModuleConfigInfo);




    /**
     * 根据参数条件查询模块数据
     * @param pageNum
     * @param pageSize
     * @return
     */

    Result findAllEdgeModuleConfigInfo(Integer pageNum, Integer pageSize, String module_name);


    List<EdgeModuleConfigInfo> getModuleListByGroupId(Integer groupId);
    Integer  findModuleCount();

    List<EdgeModuleConfigInfo> getEdgeGroupModuleConfigList();

    List<EdgeModuleConfigInfo> getEdgeGroupModuleConfigByModuleKey(String moduleKey);

    List<EdgeModuleConfigInfo> getEdgeModuleConfigInfoByModuleLogicId(int moduleLogicId);

    boolean logicDelete(List<Integer> id);
}
