create table if not exists ${module_key}.aoid_daily_yield${postfix}(
                                                                       module_key           varchar,
                                                                       pro_time             timestamp not null,
                                                                       well_common_name varchar,
                                                                       well_id varchar,
                                                                       prod_date timestamp,
                                                                       liq_prod_daily double precision,
                                                                       oil_prod_daily double precision,
                                                                       water_prod_daily double precision,
                                                                       gas_prod_daily double precision,
                                                                       bx double precision,
                                                                       llpl double precision,
                                                                       prod_time int,
                                                                       clxs double precision,
                                                                       stroke double precision,
                                                                       frequence double precision,
                                                                       water_cut double precision,
                                                                       bj double precision,
                                                                       bs double precision,
                                                                       cmd double precision,
                                                                       yz double precision,
                                                                       scsj double precision,
                                                                       yy double precision,
                                                                       hy double precision,
                                                                       ty double precision,
                                                                       qyb double precision,
                                                                       bz varchar,
                                                                       sfyc double precision,
                                                                       dym double precision,
                                                                       rcy2 double precision,
                                                                       rcu2 double precision,
                                                                       rcs2 double precision,
                                                                       a2_liq_prod_daily double precision,
                                                                       a2_oil_prod_daily double precision,
                                                                       a2_water_prod_daily double precision,
                                                                       yxgts double precision,
                                                                       errorgts double precision,
                                                                       zdjg varchar,
                                                                       djdy double precision,
                                                                       zyq varchar,
                                                                       jlz varchar,
                                                                       hjwd double precision,
                                                                       ybdl double precision,
                                                                       sbh varchar,
                                                                       xhqd double precision,
                                                                       yl double precision,
                                                                       rzbz varchar,
                                                                       ymd double precision,
                                                                       smd double precision,
                                                                       a2_gas_prod_daily double precision,
                                                                       a2_prod_time int,
                                                                       test_liqu_vol_daily double precision,
                                                                       a2_dym double precision
);
comment on column ${module_key}.aoid_daily_yield${postfix}.module_key is '分库分表所需key';
comment on column ${module_key}.aoid_daily_yield${postfix}.pro_time is '实时时间';
comment on column ${module_key}.aoid_daily_yield${postfix}.well_common_name is '通用井名';
comment on column ${module_key}.aoid_daily_yield${postfix}.well_id is '井号';
comment on column ${module_key}.aoid_daily_yield${postfix}.prod_date is '日期';
comment on column ${module_key}.aoid_daily_yield${postfix}.liq_prod_daily is '日产液量';
comment on column ${module_key}.aoid_daily_yield${postfix}.oil_prod_daily is '日产油量';
comment on column ${module_key}.aoid_daily_yield${postfix}.water_prod_daily is '日产水量';
comment on column ${module_key}.aoid_daily_yield${postfix}.gas_prod_daily is '日产气量';
comment on column ${module_key}.aoid_daily_yield${postfix}.bx is '泵效';
comment on column ${module_key}.aoid_daily_yield${postfix}.llpl is '理论排量';
comment on column ${module_key}.aoid_daily_yield${postfix}.prod_time is '生产时间';
comment on column ${module_key}.aoid_daily_yield${postfix}.clxs is '产量系数';
comment on column ${module_key}.aoid_daily_yield${postfix}.stroke is '冲程';
comment on column ${module_key}.aoid_daily_yield${postfix}.frequence is '冲次';
comment on column ${module_key}.aoid_daily_yield${postfix}.water_cut is '含水率';
comment on column ${module_key}.aoid_daily_yield${postfix}.bj is '泵直';
comment on column ${module_key}.aoid_daily_yield${postfix}.bs is '泵深';
comment on column ${module_key}.aoid_daily_yield${postfix}.cmd is '沉没度';
comment on column ${module_key}.aoid_daily_yield${postfix}.yz is '油嘴直径';
comment on column ${module_key}.aoid_daily_yield${postfix}.scsj is '生产时间';
comment on column ${module_key}.aoid_daily_yield${postfix}.yy is '油压';
comment on column ${module_key}.aoid_daily_yield${postfix}.hy is '回压';
comment on column ${module_key}.aoid_daily_yield${postfix}.ty is '套压';
comment on column ${module_key}.aoid_daily_yield${postfix}.qyb is '气液比';
comment on column ${module_key}.aoid_daily_yield${postfix}.bz is '备注';
comment on column ${module_key}.aoid_daily_yield${postfix}.sfyc is '是否异常';
comment on column ${module_key}.aoid_daily_yield${postfix}.dym is '动液面';
comment on column ${module_key}.aoid_daily_yield${postfix}.rcy2 is '24小时产量';
comment on column ${module_key}.aoid_daily_yield${postfix}.rcu2 is '';
comment on column ${module_key}.aoid_daily_yield${postfix}.rcs2 is '';
comment on column ${module_key}.aoid_daily_yield${postfix}.a2_liq_prod_daily is '日志产液量';
comment on column ${module_key}.aoid_daily_yield${postfix}.a2_oil_prod_daily is '日志产油量';
comment on column ${module_key}.aoid_daily_yield${postfix}.a2_water_prod_daily is '日志产水量';
comment on column ${module_key}.aoid_daily_yield${postfix}.yxgts is '有效功图数';
comment on column ${module_key}.aoid_daily_yield${postfix}.errorgts is '异常功图数';
comment on column ${module_key}.aoid_daily_yield${postfix}.zdjg is '';
comment on column ${module_key}.aoid_daily_yield${postfix}.djdy is '最小电压';
comment on column ${module_key}.aoid_daily_yield${postfix}.zyq is '作业区';
comment on column ${module_key}.aoid_daily_yield${postfix}.jlz is '计量站';
comment on column ${module_key}.aoid_daily_yield${postfix}.hjwd is '平均环境温度';
comment on column ${module_key}.aoid_daily_yield${postfix}.ybdl is '仪表电流';
comment on column ${module_key}.aoid_daily_yield${postfix}.sbh is '设备号';
comment on column ${module_key}.aoid_daily_yield${postfix}.xhqd is '信号强度';
comment on column ${module_key}.aoid_daily_yield${postfix}.yl is '压力仪表的今日压力平均值';
comment on column ${module_key}.aoid_daily_yield${postfix}.rzbz is '日志备注';
comment on column ${module_key}.aoid_daily_yield${postfix}.ymd is '油密度';
comment on column ${module_key}.aoid_daily_yield${postfix}.smd is '水密度';
comment on column ${module_key}.aoid_daily_yield${postfix}.a2_gas_prod_daily is '日志产气量';
comment on column ${module_key}.aoid_daily_yield${postfix}.a2_prod_time is '日志生产时间';
comment on column ${module_key}.aoid_daily_yield${postfix}.test_liqu_vol_daily is '计量产液体量';
comment on column ${module_key}.aoid_daily_yield${postfix}.a2_dym is '日志动页面';
create index  if not exists aoid_daily_yield${postfix}_well_id_index on ${module_key}.aoid_daily_yield${postfix}(well_id);
create index  if not exists aoid_daily_yield${postfix}_prod_date_index on ${module_key}.aoid_daily_yield${postfix}(prod_date);