create table if not exists ${module_key}.aoid_singlegt_yield${postfix}(
                                                                          module_key           varchar,
                                                                          pro_time             timestamp not null,
                                                                          well_id varchar,
                                                                          well_common_name varchar,
                                                                          prod_date varchar,
                                                                          stroke double precision,
                                                                          frequence double precision,
                                                                          bj double precision,
                                                                          bs double precision,
                                                                          cmd double precision,
                                                                          yzzj double precision,
                                                                          sxzh double precision,
                                                                          xxzh double precision,
                                                                          sgt varchar,
                                                                          bgt varchar,
                                                                          zdjg varchar,
                                                                          refrencewell_id varchar,
                                                                          refrencecjsj varchar,
                                                                          liq_prod_daily double precision,
                                                                          oil_prod_daily double precision,
                                                                          gas_prod_daily double precision,
                                                                          eczdjg varchar,
                                                                          bx double precision,
                                                                          hsl double precision,
                                                                          flag double precision,
                                                                          bdxs double precision,
                                                                          llpl double precision,
                                                                          zcc double precision,
                                                                          ycc double precision,
                                                                          sjcc double precision,
                                                                          yxcc double precision,
                                                                          ccss double precision,
                                                                          lsss double precision,
                                                                          gyss double precision,
                                                                          pumpdepth double precision,
                                                                          hy double precision,
                                                                          yy double precision,
                                                                          ty double precision,
                                                                          water_prod_daily double precision,
                                                                          refrencesgt varchar,
                                                                          scsj double precision,
                                                                          qyb double precision,
                                                                          stroke_ratio double precision,
                                                                          djdy double precision,
                                                                          hjwd double precision,
                                                                          ybdl double precision,
                                                                          xhqd double precision,
                                                                          sbh varchar
);
comment on column ${module_key}.aoid_singlegt_yield${postfix}.module_key is '分库分表所需key';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.pro_time is '实时时间';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.well_id is '井号';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.well_common_name is '通用井名';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.prod_date is '日期';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.stroke is '冲程';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.frequence is '冲次';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.bj is '泵径';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.bs is '泵深';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.cmd is '沉没度';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.yzzj is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.sxzh is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.xxzh is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.sgt is '示功图';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.bgt is '泵功图';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.zdjg is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.refrencewell_id is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.refrencecjsj is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.liq_prod_daily is '日产液量';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.oil_prod_daily is '日产油量';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.gas_prod_daily is '日产气.量';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.eczdjg is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.bx is '泵效';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.hsl is '含水率';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.flag is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.bdxs is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.llpl is '理论排量';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.zcc is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.ycc is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.sjcc is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.yxcc is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.ccss is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.lsss is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.gyss is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.pumpdepth is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.hy is '回压';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.yy is '油压';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.ty is '套压';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.water_prod_daily is '日产水量';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.refrencesgt is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.scsj is '生成时间';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.qyb is '气油比';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.stroke_ratio is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.djdy is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.hjwd is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.ybdl is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.xhqd is '';
comment on column ${module_key}.aoid_singlegt_yield${postfix}.sbh is '设备号';
create index  if not exists aoid_singlegt_yield${postfix}_well_id_index on ${module_key}.aoid_singlegt_yield${postfix}(well_id);
create index  if not exists aoid_singlegt_yield${postfix}_prod_date_index on ${module_key}.aoid_singlegt_yield${postfix}(prod_date);
