-- DROP  table ${module_key}.bh_rtu_data${postfix};

create table if not exists ${module_key}.bh_rtu_data${postfix}
(
    module_key            varchar,
    pro_time              timestamp not null,
    max_load                       double precision,
    min_load                       double precision,
    theory_up_load                 double precision,
    theory_down_load               double precision,
    fill_coefficient               double precision,
    liq_prod_mass                  double precision,
    oil_prod_mass                  double precision,
    water_prod_mass                double precision,
    liq_prod_volume                double precision,
    oil_prod_volume                double precision,
    water_prod_volume              double precision,
    theory_displacement            double precision,
    pump_efficient                 double precision,
    gk_code                        integer,
    inversion_dynamic_liquid_level double precision,
    liquid_correct_difference      double precision,
    submergence_degree             double precision,
    down_stroke_max_elec           double precision,
    up_stroke_max_elec             double precision,
    elec_balance                   double precision,
    down_stroke_max_power          double precision,
    up_stroke_max_power            double precision,
    power_balance                  double precision,
    stroke                         double precision,
    downhole_system_efficient      double precision,
    uphole_system_efficient        double precision,
    system_efficient               double precision,
    elec_cost_per_hundred_meter    double precision,
    empty_fill_coefficient         double precision,
    well_id                        varchar,
    prod_date                      varchar
);


create unique index if not exists bh_rtu_data_module_key_pro_time_uindex${postfix}
    on ${module_key}.bh_rtu_data${postfix} (module_key, pro_time);

