create table if not exists ${module_key}.dgns_gtbaseparam${postfix}(
                                                                       module_key           varchar,
                                                                       pro_time             timestamp not null,
                                                                       id varchar,
                                                                       createtime varchar,
                                                                       recivetime varchar,
                                                                       wellname varchar,
                                                                       sgt varchar,
                                                                       s_max double precision,
                                                                       s_min double precision,
                                                                       l_max double precision,
                                                                       l_min double precision,
                                                                       l_mid double precision,
                                                                       l_fistdownturnpoint double precision,
                                                                       s double precision,
                                                                       s_pre double precision,
                                                                       n double precision,
                                                                       l double precision,
                                                                       s_effect double precision,
                                                                       area double precision,
                                                                       upload double precision,
                                                                       download double precision,
                                                                       islegal int,
                                                                       remark varchar,
                                                                       sgtpointnum int,
                                                                       s_max_point_location int,
                                                                       s_min_point_location int,
                                                                       l_max_point_location int,
                                                                       l_min_point_location int
);
comment on column ${module_key}.dgns_gtbaseparam${postfix}.module_key is '分库分表所需key';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.pro_time is '实时时间';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.id is '数据ID';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.createtime is '创建时间';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.recivetime is '';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.wellname is '井名';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.sgt is '示功图';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.s_max is '最大冲程';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.s_min is '最小冲程';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.l_max is '最大载荷';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.l_min is '最小载荷';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.l_mid is '平均载荷';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.l_fistdownturnpoint is '功图第一拐点载荷';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.s is '计算出的冲程';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.s_pre is '读到的冲程';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.n is '冲次';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.l is '在和差值';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.s_effect is '有效冲程';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.area is '功图面积';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.upload is '上行载荷均值';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.download is '下行载荷均值';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.islegal is '是否合法标记值';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.remark is '备注';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.sgtpointnum is '示功图点数';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.s_max_point_location is '最大冲程的点索引位置';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.s_min_point_location is '最小冲程的点索引位置';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.l_max_point_location is '最大载荷的点索引位置';
comment on column ${module_key}.dgns_gtbaseparam${postfix}.l_min_point_location is '最小索引的点载荷位置';
create index  if not exists dgns_gtbaseparam${postfix}_recivetime_index on ${module_key}.dgns_gtbaseparam${postfix}(recivetime);
create index  if not exists dgns_gtbaseparam${postfix}_wellname_index on ${module_key}.dgns_gtbaseparam${postfix}(wellname);

