create table if not exists ${module_key}.dgns_gtstandard${postfix}(
                                                                      module_key           varchar,
                                                                      pro_time             timestamp not null,
                                                                      sgtprodate varchar,
                                                                      createtime varchar,
                                                                      id varchar,
                                                                      future varchar,
                                                                      appearcounter int default 0,
                                                                      graphicfeatureinterpretation varchar,
                                                                      maxsemblance double precision,
                                                                      minsemblance double precision,
                                                                      wellname varchar,
                                                                      latestupdatedtime varchar
);
comment on column ${module_key}.dgns_gtstandard${postfix}.module_key is '分库分表所需key';
comment on column ${module_key}.dgns_gtstandard${postfix}.pro_time is '实时时间';
comment on column ${module_key}.dgns_gtstandard${postfix}.sgtprodate is '生产时间';
comment on column ${module_key}.dgns_gtstandard${postfix}.createtime is '创建时间';
comment on column ${module_key}.dgns_gtstandard${postfix}.id is 'ID';
comment on column ${module_key}.dgns_gtstandard${postfix}.future is '';
comment on column ${module_key}.dgns_gtstandard${postfix}.appearcounter is '出现次数';
comment on column ${module_key}.dgns_gtstandard${postfix}.graphicfeatureinterpretation is '特征解释(工况类型)';
comment on column ${module_key}.dgns_gtstandard${postfix}.maxsemblance is '最大相似度';
comment on column ${module_key}.dgns_gtstandard${postfix}.minsemblance is '最小相似度';
comment on column ${module_key}.dgns_gtstandard${postfix}.wellname is '井名';
comment on column ${module_key}.dgns_gtstandard${postfix}.latestupdatedtime is '更新时间';
create index  if not exists dgns_gtstandard${postfix}_sgtprodate_index on ${module_key}.dgns_gtstandard${postfix}(sgtprodate);
create index  if not exists dgns_gtstandard${postfix}_wellname_index on ${module_key}.dgns_gtstandard${postfix}(wellname);
