create table if not exists ${module_key}.diagnose_result_real_time${postfix}
            (
                module_key           varchar,
                pro_time             timestamp not null,
                result1              varchar,
                result2              varchar,
                well_id              varchar   not null,
                work_diagram         varchar,
                process_param        varchar,
                remark               varchar,
                create_time          timestamp,
                user_confirm_time    timestamp,
                user_confirm_content varchar,
                is_problem           varchar,
                is_expected          integer,
                well_name            varchar,
                id                   varchar   not null,
                constraint diagnose_result_real_time${postfix}_pk
                    primary key (well_id, pro_time)
            );
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.module_key is '分库分表所需key';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.pro_time is '实时时间';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.result1 is '一次诊断结果';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.result2 is '二次诊断结果';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.well_id is '井名称';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.work_diagram is '示功图';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.process_param is '过程参数';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.remark is '标记';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.create_time is '创建时间';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.user_confirm_time is '用户确认时间';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.user_confirm_content is '用户确认内容';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.is_problem is '是否是问题';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.is_expected is '是否符合预期';
            
            comment on column ${module_key}.diagnose_result_real_time${postfix}.well_name is '井id';
            
            create index if not exists diagnose_result_real_time_module_key_index${postfix}
                on ${module_key}.diagnose_result_real_time${postfix} (module_key);
            
            create index if not exists diagnose_result_real_time_id_index${postfix}
                on ${module_key}.diagnose_result_real_time${postfix} (id);
            
            create index if not exists diagnose_result_real_time_pro_time_index${postfix}
                on ${module_key}.diagnose_result_real_time${postfix} (pro_time);